"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const tslib_1 = require("tslib");
exports.validate = validate26;
exports.default = validate26;
const schema10 = { type: "string", enum: ["PostgresTeam"] };
function validate27(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("PostgresTeam" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema10.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate27.errors = vErrors, 0 === errors; }
const schema11 = { type: "string", enum: ["acid.zalan.do/v1"] };
function validate29(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if ("acid.zalan.do/v1" !== data) {
    const err1 = { instancePath, schemaPath: "#/enum", keyword: "enum", params: { allowedValues: schema11.enum }, message: "must be equal to one of the allowed values" };
    null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
} return validate29.errors = vErrors, 0 === errors; }
function validate23(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ("string" != typeof data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "string" }, message: "must be string" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate23.errors = vErrors, 0 === errors; }
function validate22(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (!Array.isArray(data) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "array" }, message: "must be array" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (Array.isArray(data)) {
    const len0 = data.length;
    for (let i0 = 0; i0 < len0; i0++)
        validate23(data[i0], { instancePath: instancePath + "/" + i0, parentData: data, parentDataProperty: i0, rootData }) || (vErrors = null === vErrors ? validate23.errors : vErrors.concat(validate23.errors), errors = vErrors.length);
} return validate22.errors = vErrors, 0 === errors; }
function validate21(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if ((!data || "object" != typeof data || Array.isArray(data)) && null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} if (data && "object" == typeof data && !Array.isArray(data))
    for (const key0 in data)
        validate22(data[key0], { instancePath: instancePath + "/" + key0.replace(/~/g, "~0").replace(/\//g, "~1"), parentData: data, parentDataProperty: key0, rootData }) || (vErrors = null === vErrors ? validate22.errors : vErrors.concat(validate22.errors), errors = vErrors.length); return validate21.errors = vErrors, 0 === errors; }
function validate31(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data))
    void 0 !== data.additionalSuperuserTeams && (validate21(data.additionalSuperuserTeams, { instancePath: instancePath + "/additionalSuperuserTeams", parentData: data, parentDataProperty: "additionalSuperuserTeams", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.additionalTeams && (validate21(data.additionalTeams, { instancePath: instancePath + "/additionalTeams", parentData: data, parentDataProperty: "additionalTeams", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length)), void 0 !== data.additionalMembers && (validate21(data.additionalMembers, { instancePath: instancePath + "/additionalMembers", parentData: data, parentDataProperty: "additionalMembers", rootData }) || (vErrors = null === vErrors ? validate21.errors : vErrors.concat(validate21.errors), errors = vErrors.length));
else {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate31.errors = vErrors, 0 === errors; }
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = tslib_1.__importDefault(require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta"));
function validate37(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; return (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default)(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors : vErrors.concat(IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.default.errors), errors = vErrors.length), validate37.errors = vErrors, 0 === errors; }
function validate41(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (null !== data) {
    const err0 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "null" }, message: "must be null" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate41.errors = vErrors, 0 === errors; }
function validate36(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; const _errs0 = errors; let valid0 = !1, passing0 = null; const _errs1 = errors; validate37(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate37.errors : vErrors.concat(validate37.errors), errors = vErrors.length), (_valid0 = _errs1 === errors) && (valid0 = !0, passing0 = 0); const _errs2 = errors; var _valid0; if (validate41(data, { instancePath, parentData, parentDataProperty, rootData }) || (vErrors = null === vErrors ? validate41.errors : vErrors.concat(validate41.errors), errors = vErrors.length), (_valid0 = _errs2 === errors) && valid0 ? (valid0 = !1, passing0 = [passing0, 1]) : _valid0 && (valid0 = !0, passing0 = 1), valid0)
    errors = _errs0, null !== vErrors && (_errs0 ? vErrors.length = _errs0 : vErrors = null);
else {
    const err0 = { instancePath, schemaPath: "#/oneOf", keyword: "oneOf", params: { passingSchemas: passing0 }, message: "must match exactly one schema in oneOf" };
    null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
} return validate36.errors = vErrors, 0 === errors; }
function validate26(data, { instancePath = "", parentData, parentDataProperty, rootData = data } = {}) { let vErrors = null, errors = 0; if (data && "object" == typeof data && !Array.isArray(data)) {
    if (void 0 === data.kind) {
        const err0 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "kind" }, message: "must have required property 'kind'" };
        null === vErrors ? vErrors = [err0] : vErrors.push(err0), errors++;
    }
    if (void 0 === data.apiVersion) {
        const err1 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "apiVersion" }, message: "must have required property 'apiVersion'" };
        null === vErrors ? vErrors = [err1] : vErrors.push(err1), errors++;
    }
    if (void 0 === data.spec) {
        const err2 = { instancePath, schemaPath: "#/required", keyword: "required", params: { missingProperty: "spec" }, message: "must have required property 'spec'" };
        null === vErrors ? vErrors = [err2] : vErrors.push(err2), errors++;
    }
    void 0 !== data.kind && (validate27(data.kind, { instancePath: instancePath + "/kind", parentData: data, parentDataProperty: "kind", rootData }) || (vErrors = null === vErrors ? validate27.errors : vErrors.concat(validate27.errors), errors = vErrors.length)), void 0 !== data.apiVersion && (validate29(data.apiVersion, { instancePath: instancePath + "/apiVersion", parentData: data, parentDataProperty: "apiVersion", rootData }) || (vErrors = null === vErrors ? validate29.errors : vErrors.concat(validate29.errors), errors = vErrors.length)), void 0 !== data.spec && (validate31(data.spec, { instancePath: instancePath + "/spec", parentData: data, parentDataProperty: "spec", rootData }) || (vErrors = null === vErrors ? validate31.errors : vErrors.concat(validate31.errors), errors = vErrors.length)), void 0 !== data.metadata && (validate36(data.metadata, { instancePath: instancePath + "/metadata", parentData: data, parentDataProperty: "metadata", rootData }) || (vErrors = null === vErrors ? validate36.errors : vErrors.concat(validate36.errors), errors = vErrors.length));
}
else {
    const err3 = { instancePath, schemaPath: "#/type", keyword: "type", params: { type: "object" }, message: "must be object" };
    null === vErrors ? vErrors = [err3] : vErrors.push(err3), errors++;
} return validate26.errors = vErrors, 0 === errors; }
