"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgresTeam = void 0;
const base_1 = require("@kubernetes-models/base");
const AcidZalanDoV1PostgresTeam_1 = require("../../_schemas/AcidZalanDoV1PostgresTeam.js");
class PostgresTeam extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PostgresTeam.apiVersion,
            kind: PostgresTeam.kind,
            ...data
        });
    }
}
exports.PostgresTeam = PostgresTeam;
PostgresTeam.apiVersion = "acid.zalan.do/v1";
PostgresTeam.kind = "PostgresTeam";
PostgresTeam.is = (0, base_1.createTypeMetaGuard)(PostgresTeam);
(0, base_1.setValidateFunc)(PostgresTeam, AcidZalanDoV1PostgresTeam_1.validate);
