"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postgresql = void 0;
const base_1 = require("@kubernetes-models/base");
const AcidZalanDoV1Postgresql_1 = require("../../_schemas/AcidZalanDoV1Postgresql.js");
class postgresql extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: postgresql.apiVersion,
            kind: postgresql.kind,
            ...data
        });
    }
}
exports.postgresql = postgresql;
postgresql.apiVersion = "acid.zalan.do/v1";
postgresql.kind = "postgresql";
postgresql.is = (0, base_1.createTypeMetaGuard)(postgresql);
(0, base_1.setValidateFunc)(postgresql, AcidZalanDoV1Postgresql_1.validate);
