"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostgresCluster = void 0;
const base_1 = require("@kubernetes-models/base");
const PostgresOperatorCrunchydataComV1beta1PostgresCluster_1 = require("../../_schemas/PostgresOperatorCrunchydataComV1beta1PostgresCluster.js");
/**
 * PostgresCluster is the Schema for the postgresclusters API
 */
class PostgresCluster extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PostgresCluster.apiVersion,
            kind: PostgresCluster.kind,
            ...data
        });
    }
}
exports.PostgresCluster = PostgresCluster;
PostgresCluster.apiVersion = "postgres-operator.crunchydata.com/v1beta1";
PostgresCluster.kind = "PostgresCluster";
PostgresCluster.is = (0, base_1.createTypeMetaGuard)(PostgresCluster);
(0, base_1.setValidateFunc)(PostgresCluster, PostgresOperatorCrunchydataComV1beta1PostgresCluster_1.validate);
