"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperatorConfiguration = void 0;
const base_1 = require("@kubernetes-models/base");
const AcidZalanDoV1OperatorConfiguration_1 = require("../../_schemas/AcidZalanDoV1OperatorConfiguration.js");
class OperatorConfiguration extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: OperatorConfiguration.apiVersion,
            kind: OperatorConfiguration.kind,
            ...data
        });
    }
}
exports.OperatorConfiguration = OperatorConfiguration;
OperatorConfiguration.apiVersion = "acid.zalan.do/v1";
OperatorConfiguration.kind = "OperatorConfiguration";
OperatorConfiguration.is = (0, base_1.createTypeMetaGuard)(OperatorConfiguration);
(0, base_1.setValidateFunc)(OperatorConfiguration, AcidZalanDoV1OperatorConfiguration_1.validate);
