"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PGAdmin = void 0;
const base_1 = require("@kubernetes-models/base");
const PostgresOperatorCrunchydataComV1beta1PGAdmin_1 = require("../../_schemas/PostgresOperatorCrunchydataComV1beta1PGAdmin.js");
/**
 * PGAdmin is the Schema for the pgadmins API
 */
class PGAdmin extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PGAdmin.apiVersion,
            kind: PGAdmin.kind,
            ...data
        });
    }
}
exports.PGAdmin = PGAdmin;
PGAdmin.apiVersion = "postgres-operator.crunchydata.com/v1beta1";
PGAdmin.kind = "PGAdmin";
PGAdmin.is = (0, base_1.createTypeMetaGuard)(PGAdmin);
(0, base_1.setValidateFunc)(PGAdmin, PostgresOperatorCrunchydataComV1beta1PGAdmin_1.validate);
