"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PGUpgrade = void 0;
const base_1 = require("@kubernetes-models/base");
const PostgresOperatorCrunchydataComV1beta1PGUpgrade_1 = require("../../_schemas/PostgresOperatorCrunchydataComV1beta1PGUpgrade.js");
/**
 * PGUpgrade is the Schema for the pgupgrades API
 */
class PGUpgrade extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: PGUpgrade.apiVersion,
            kind: PGUpgrade.kind,
            ...data
        });
    }
}
exports.PGUpgrade = PGUpgrade;
PGUpgrade.apiVersion = "postgres-operator.crunchydata.com/v1beta1";
PGUpgrade.kind = "PGUpgrade";
PGUpgrade.is = (0, base_1.createTypeMetaGuard)(PGUpgrade);
(0, base_1.setValidateFunc)(PGUpgrade, PostgresOperatorCrunchydataComV1beta1PGUpgrade_1.validate);
